Page MenuHomePhabricator

Communicate session has expired on dashboard for actions on list items
Closed, ResolvedPublic

Description

This recording shows that actions on Suggestion and In progress lists aren't taking any effect when user session expires.


There aren't any JS errors, like when switching between the lists (T200646), but we could utilize same approach and show the dialog when the session expires.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterHandle expired session when performing actions on dashboard list items

Event Timeline

Petar.petkovic triaged this task as Low priority.Jul 29 2018, 3:08 PM
Petar.petkovic created this task.

Change 466870 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Handle expired session when performing actions on dashboard list items

https://gerrit.wikimedia.org/r/466870

Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptOct 12 2018, 12:16 PM

Change 466870 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Handle expired session when performing actions on dashboard list items

https://gerrit.wikimedia.org/r/466870

Petar.petkovic closed this task as Resolved.Oct 15 2018, 1:06 PM
Petar.petkovic removed a project: Patch-For-Review.
Petar.petkovic removed a subscriber: gerritbot.